<?php
/*
 * ----------------------------------------------------------------------------
 * Email-DispMsg.php                                                 03/25/2003
 * This script will display all of the user's email messages.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-loginauth.inc.php');       // Login authentication.
require_once('va-database.inc.php');        // Include database functions.
require_once('layout_email.inc.php');       // Webpage header and footer.

if (($USER['userno'] == 0) || ($USER['securitylevel'] == 0)) die(VA_LoginError());
$userno = $USER['userno'];

EmailHeader();                              // Display the webpage header.

$db = SetEmailInfo($userno);                // Setup the email database information.
// Determine if the user has access to this section.
if (!DbAccess($db)) die('<br><h3>You do not have access to this section. Please press the BACK button on your browser.</h3>');

$msgno  = $db['msgno'];                     // Retrieve the number of messages.
$msgcnt = GetEmailCount($userno);           // Retrieve the number of user messages.

if (isset($_GET['m'])) {                    // Set the passed variables.
    $m = $_GET['m'];
} else {
    $m = $msgno;
}

if ($m > $msgno) $m = $msgno;

?>

<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td align="right">
            <span class="msgBack"><a class="msgBack" href="index.php">Return to Home Page</a></span>
        </td>
    </tr>
</table>
<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td colspan="5" bgcolor="#416DBF" height="25" width="748">
            <span class="msgTitle">&nbsp;&nbsp;<?php print htmlspecialchars($db['desc']); ?></span></td>
    </tr>
    <tr>
        <td width="30" height="15" bgcolor="#000080"></td>
        <td width="100" height="15" bgcolor="#000080" align="left">
            <span class="msgHeader">&nbsp;From</span></td>
        <td width="100" height="15" bgcolor="#000080" align="left">
            <span class="msgHeader">&nbsp;To</span></td>
        <td width="345" height="15" bgcolor="#000080" align="left">
            <span class="msgHeader">&nbsp;Subject</span></td>
        <td width="175" height="15" bgcolor="#000080" align="center">
            <span class="msgHeader">Date/Time</span></td>
    </tr>

<?php
// Set the fileString variable.
$file    = $VA_SYSPATHS['db'] . '/' . $db['filename'] . '.DAT';
if (!is_file($file)) die('Requested database is missing. Please press the BACK button on your browser.');
$fileString = ReadCfgFile($file);    // Read the file.

// Run the loop that will display the messages.
for ($x = $m; $x >= 0; $x--) {
    if ($msgcnt == 0) {
        print "<tr><td colspan=\"5\">\n";
        print "<span class=\"heading\">No Messages</span>\n";
        print "</td></tr>\n";
        break;
    }

    if ($x <= 0) break;
    $msgInfo = FindMessageInfo($db, $x, $fileString);   // Get the message information.
    $dateTime = ConvertDateTime($msgInfo['date'], $msgInfo['time']);

    if ($msgInfo['touserno'] == $userno) {
        if ($msgInfo['fromhandle'] == '') {
            $from = 'Unknown';
        } else {
            $from = htmlspecialchars($msgInfo['fromhandle']);
        }

        if ($msgInfo['subject'] == '') {
            $subject = 'No Subject';
        } else {
            $subject = htmlspecialchars($msgInfo['subject']);
        }
?>

    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center">
            <img border="0" <?php if ($msgInfo['deleted'] == 0) {print "src=\"images/message.gif\" alt=\"Message\"";} else {print "src=\"images/message-deleted.gif\" alt=\"Message Marked for Deletion\"";} ?> width="13" height="11"><?php if ($msgInfo['attfilename'] != '') print "<img border=\"0\" src=\"images/paperclip.gif\" alt=\"Attached File\" width=\"10\" height=\"13\">"; ?></span></td>
        <td width="100" height="30" align="left">
            <span class="boldBody">&nbsp;<?php print $from; ?></span></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="left">
            <span class="body">&nbsp;<?php print htmlspecialchars($msgInfo['tohandle']); ?></span></td>
        <td width="345" height="30" align="left">
            <?php if ($msgInfo['offline'] == 1) {print "<span class=\"heading2\">";} else {print "<span class=\"heading\">";} ?>&nbsp;<a href="email-viewmsg.php?m=<?php print $x . "\">" . $subject; ?></a></span></td>
        <td width="175" height="30" bgcolor="#E2E2E2" align="center">
            <span class="body"><?php print $dateTime['date']; ?></span><span class="msgTime">&nbsp;<?php print $dateTime['time']; ?></span></td>
    </tr>

<?php
    }
}
?>

    <tr>
        <td bgcolor="#416DBF" align="center" colspan="5" height="25" width="748">&nbsp;</td>
    </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td align="right">
            <span class="msgBack"><a class="msgBack" href="index.php">Return to Home Page</a></span>
        </td>
    </tr>
</table>

<?php

$totalTime = round(ProgramTime() - $startTime, 4);

EmailFooter();                              // Display the webpage footer.
?>
