<?php
/*
 * ----------------------------------------------------------------------------
 * Email-ViewMsg.php                                                 03/25/2003
 * This script will display the selected email message to the user.
 * The variable $m is passed to the script to set the message number.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */
 
require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-loginauth.inc.php');       // Login authentication.
require_once('va-database.inc.php');        // Include database functions.
require_once('layout_email.inc.php');       // Webpage header and footer.

if (($USER['userno'] == 0) || ($USER['securitylevel'] == 0)) die(VA_LoginError());
$userno = $USER['userno'];

EmailHeader();                              // Display the webpage header.

$db = SetEmailInfo($userno);                // Retrieve the database information.

$msgno  = $db['msgno'];                     // Retrieve the number of messages.
$msgcnt = GetEmailCount($userno);           // Retrieve the number of user messages.

if (isset($_GET['m'])) {                    // Set the passed variables.
    $m = $_GET['m'];
} else {
    $m = $msgno;
}

if ($m > $msgno) $m = $msgno;

?>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td align="left">
<?php
    print "      <span class=\"msgBack\"><a class=\"msgBack\" href=\"email-dispmsg.php\">Back to " . $db['desc'] . "</a></span><br>\n";
?>
        </td>
        <td align="right">
            <span class="msgBack"><a class="msgBack" href="index.php">Return to Home Page</a></span>
        </td>
    </tr>
</table>
<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td colspan="5" bgcolor="#416DBF" height="25" width="748">
            <span class="msgTitle">&nbsp;&nbsp;<?php print htmlspecialchars($db['desc']); ?></span></td>
    </tr>
    <tr>
        <td width="30" height="15" bgcolor="#000080"></td>
        <td width="100" height="15" bgcolor="#000080" align="left">
            <span class="msgHeader">&nbsp;From</span></td>
        <td width="100" height="15" bgcolor="#000080" align="left">
            <span class="msgHeader">&nbsp;To</span></td>
        <td width="345" height="15" bgcolor="#000080" align="left">
            <span class="msgHeader">&nbsp;Subject</span></td>
        <td width="175" height="15" bgcolor="#000080" align="center">
            <span class="msgHeader">Date/Time</span></td>
    </tr>

<?php
$msgInfo = GetMessageInfo($db, $m);         // Get the message information.
if ($msgInfo['touserno'] != $userno) die('<tr><td colspan="5"><strong>You do not have access to this message. Press the BACK button on your browser.</strong></td></tr>');

// Check for delete message flag.
if (isset($_GET['delete'])) {
    if ($_GET['delete'] == 1) {
        $msgInfo['deleted'] = 1;
        WriteMessageInfo($db, $m, $msgInfo);
    } else if ($_GET['delete'] == 0) {
        $msgInfo['deleted'] = 0;
        WriteMessageInfo($db, $m, $msgInfo);
    }
}

$dateTime = ConvertDateTime($msgInfo['date'], $msgInfo['time']);
// Check for any files.
if ($msgInfo['attfilename'] != '') {
    if ($CONFIG['filehost'] != '') {
        $file = ConvertDir($CONFIG['hostname'], $db['filepath']) . '/' . $msgInfo['attfilename'];
    } else {
        $file = $db['filepath'] . '/' . $msgInfo['attfilename'];
    }
} else {
    $file = '';
}

if ($file != '') {
    if (!is_file($file)) {
        $filesize = '0 bytes';
    } else {
        $filesize = filesize($file);
        if ($filesize >= 1024000) {
            $filesize = round($filesize / 1048576, 1) . 'MB';
        } elseif ($filesize >= 1024) {
            $filesize = intval($filesize / 1024) . 'KB';
        } else {
            $filesize = $filesize . ' bytes';
        }
    }
}

if ($msgInfo['fromhandle'] == '') {
    $from = 'Unknown';
} else {
    $from = htmlspecialchars($msgInfo['fromhandle']);
}

if ($msgInfo['subject'] == '') {
    $subject = 'No Subject';
} else {
    $subject = htmlspecialchars($msgInfo['subject']);
}
?>

    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center">
            <img border="0" <?php if ($msgInfo['deleted'] == 0) {print "src=\"images/message.gif\" alt=\"Message\"";} else {print "src=\"images/message-deleted.gif\" alt=\"Message Marked for Deletion\"";} ?> width="13" height="11"><?php if ($msgInfo['attfilename'] != '') print "<img border=\"0\" src=\"images/paperclip.gif\" alt=\"Attached File\" width=\"10\" height=\"13\">"; ?></span></td>
        <td width="100" height="30" align="left">
            <span class="boldBody">&nbsp;<?php print $from; ?></span></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="left">
            <span class="body">&nbsp;<?php print htmlspecialchars($msgInfo['tohandle']); ?></span></td>
        <td width="345" height="30" align="left">
            <span class="heading">&nbsp;<?php print $subject; ?></span></td>
        <td width="175" height="30" bgcolor="#E2E2E2" align="center">
            <span class="body"><?php print $dateTime['date']; ?></span><span class="msgTime">&nbsp;<?php print $dateTime['time']; ?></span></td>
    </tr>

<?php
$message = HTMLEncode(StripHeartColors(GetMessage($db, $m)));   // Get the message to display.
?>

    <tr>
        <td width="750" align="left" colspan="5" valign="top">
<?php
// If there is an attached file, then display its link.
if ($file != '') {
?>

    <form action="download.php" method="post">
    <input type="hidden" name="t" value="email">
    <input type="hidden" name="m" value="<?php print $m; ?>">
    <input type="image" value="Download" src="images/download.gif" alt="Download <?php print $msgInfo['attfilename']; ?>" width="80" height="25" align="absmiddle">
    <span class="filename">&nbsp;Attached file: <?php print $msgInfo['attfilename']; ?></span><span class="filesize"> (<?php print $filesize; ?>)</span>
    </form>

<?php
} else if ($msgInfo['deleted'] == 1) {
    print "<span class=\"msgBack\">(Message marked for deletion)</span> - \n";
    print "<span class=\"msgBack\"><a href=\"email-viewmsg.php?m=" . $m . "&delete=0\">UnMark this Message for Deletion</a></span><br>\n";
} else {
    print "<span class=\"msgBack\"><a href=\"email-viewmsg.php?m=" . $m . "&delete=1\">Mark this Message for Deletion</a></span><br>\n";
}
?>
            <pre><?php print $message; ?></pre>
        </td>
    <tr>
        <td bgcolor="#416DBF" align="center" colspan="5" height="25" width="748">&nbsp;</td>
    </tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="750" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td align="left">
<?php
    print "      <span class=\"msgBack\"><a class=\"msgBack\" href=\"email-dispmsg.php\">Back to " . $db['desc'] . "</a></span><br>\n";
?>
        </td>
        <td align="right">
            <span class="msgBack"><a class="msgBack" href="index.php">Return to Home Page</a></span>
        </td>
    </tr>
</table>

<?php
// Update the message as read if not already marked.
if ($msgInfo['offline'] == 0) {
    $msgInfo['offline'] = 1;
    WriteMessageInfo($db, $m, $msgInfo);
}

$totalTime = round(ProgramTime() - $startTime, 4);

EmailFooter();                              // Display the webpage footer.

?>
