<?php
/*
 * ----------------------------------------------------------------------------
 * Layout_Files.inc.php                                              03/25/2003
 * This script contains the headers and footers used with the file areas.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-loginauth.inc.php');       // Login authentication.
require_once('va-main.inc.php');            // Include the main BBS configuration.


/**
* Layout_Files.inc.php :: FilesHeader()
*
* This is the header part of the webpage.
*
*/
function FilesHeader() {
    global $VA_MAIN;                        // Include the global variable.
    global $USER;                           // Include current user information.
?>

<html>

<head>
<title><?php print $VA_MAIN['bbsname']; ?> File Area</title>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta name="copyright" content="Copyright  2003, Steve Winn">
<style>
<!--
    a:active          { color: #FF0000 }
    a:link            { color: #0000D0 }
    a:visited         { color: #0000D0 }
    a:hover           { color: #FF0000 }
    a.msgBack:link    { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    a.msgBack:visited { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    .body             { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #000000; }
    .boldBody         { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #000000; font-weight: bold }
    .filename         { font-family: Courier New;               font-size: 10pt; color: #000080; font-weight: bold }
    .filesize         { font-family: Courier New;               font-size: 10pt; color: #000080; }
    .heading          { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #000000; font-weight: bold }
    .msgBack          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FF0000; font-weight: bold }
    .msgBody          { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #000000; }
    .msgHeader        { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .msgTime          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #666666; }
    .msgTitle         { font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #FFFF00; font-weight: bold }
    .title            { font-family: Verdana, Arial, Helvetica; font-size: 12pt; color: #000000; font-weight: bold }
-->
</style>

</head>

<body bgcolor="#FFFFFF">

<div align="center">
<center>
<table cellspacing="0" cellpadding="0" width="750" border="0" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td>
            <span class="title"><a href="http://www.vadvphp.com"><img border="0" src="images/vadv-php.gif" alt="VADV-PHP" width="50" height="30"></a> <?php print $VA_MAIN['bbsname'] ?> File Area</span>
            <hr color="#525552">
            <p><span class="heading">Welcome to the <?php print $VA_MAIN['bbsname']; ?> File Area.</span><br>
            <span class="body">The BBS's file area is now available on the web. Download files with the speed and reliability of the Internet. Future enhancements include a search feature and hot file tracking.</span></p>

<?php
    if ($USER['userno'] != 0) {
?>
            <p><span class="boldBody">You are logged in as: <?php print $USER['handle']; ?></span></p>
<?php
    } else {
?>
            <p><span class="boldBody">You are not logged in. Login for full access priviledges.</span></p>
<?php
    }
}


/**
* Layout_Files.inc.php :: FilesFooter()
*
* This is the footer part of the webpage.
*
*/
function FilesFooter() {
    global $CONFIG;                      // Include the global variable.
    global $totalTime;
?>

            <p align="center"><span class="boldBody">This page is powered by <a style="color: #000000" href="http://www.vadvphp.com">VADV-PHP</a></span><br>
            <span class="body">Execution Time: <?php print $totalTime; ?> seconds</span></p>
            <p align="center"><span class="body">If you experience any problems with this website or need help, contact the
            <a href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br>
            VADV-PHP Copyright  2002-<?php print date("Y"); ?> Aspect Technologies. All Rights Reserved.</span></p>
        </td>
    </tr>
</table>
</center>
</div>

</body>

</html>

<?php
}
?>
