<?php
/*
 * ----------------------------------------------------------------------------
 * Post-It_Network.php                                               03/06/2003
 * This script will display the last five posts on the Post-It Network.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-database.inc.php');        // Include database functions.

// Read the Post-It configuration file.
$configFile = $VA_SYSPATHS['text'] . '/postitnt.cfg';
$config = ReadAt2kConfig($configFile);

// Setup the configuration variable array.
$postitCfg['ver']        = $config[1];
$postitCfg['dbtopic']    = strtoupper($config[2]);
$postitCfg['db']         = $config[3];
$postitCfg['aspnetnode'] = $config[4];
$postitCfg['vnetnode']   = $config[5];
$postitCfg['minwritesl'] = $config[6];
$postitCfg['filter']     = $config[7];

$topicNo = ord($postitCfg['dbtopic']) - 64;     // Calculate the topic number.
$db = GetDbInfo($topicNo, $postitCfg['db']);    // Get the Post-It database information.
?>

<html>

<head>
<title>AT2k Post-It! Network</title>
<meta http-equiv="Content-Language" content="en-us"/>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
</head>

<body bgcolor="#000000">
<font face="Courier New" size="3">

<font color="#FFFFFF"><p align="right"><b>Aspect Technologies Post-It! Network<font size="1"> v<?php print $postitCfg['ver']; ?></font></b>
<div align="left">
<?php
// Read the Post-It! database file for faster searches.
$file    = $VA_SYSPATHS['db'] . '/' . $db['filename'] . '.DAT';
if (!is_file($file)) die('Requested database is missing. Please press the BACK button on your browser.');
$fileString = ReadCfgFile($file);           // Read the file.

// Get the messages to display and apply any filters.
$num   = 0;
$msgNo = $db['msgno'];
$msg   = array();
while (($num < 5) && ($msgNo > 0)) {
    $msgInfo = FindMessageInfo($db, $msgNo, $fileString);
    if (!$msgInfo['deleted']) {
        if (strpos($msgInfo['subject'], 'Post-It! Network v') !== FALSE) {
            if ($postitCfg['filter'] != 0) {
                if (!strpos($msgInfo['subject'], '*p')) {
                    $msg[$num] = $msgNo;
                    $num++;
                }
            } else {
                $msg[$num] = $msgNo;
                $num++;
            }
        }
    }
    $msgNo--;
}
$msg = array_reverse($msg);                 // Turn the array around to display in correct order.

// Print out the array (messages).
for ($num = 0; ($num < 5) && (isset($msg[$num])); $num++) {
    $header  = FindMessageInfo($db, $msg[$num], $fileString);
    $message = FixHeartColors(GetMessage($db, $msg[$num]));
    
    if ($header['fromnetnode'] == $postitCfg['vnetnode']) $header['fromnetnode'] = $postitCfg['aspnetnode'];
?>

<hr color="#525552">
<font color="#FFFF52">By: <font color="#FF5552"><?php print $header['fromhandle']; ?><font color="#FFFFFF"> (<font color="#ADAAAD"><?php print $header['fromuserno']; ?><font color="#FFFFFF">@<font color="#ADAAAD"><?php print $header['fromnetnode']; ?><font color="#FFFFFF">)<br/>

<?php
    print $message . "\n";
}
?>
</div>

<hr color="#525552"></p>
<font color="#00AAAD" size="2"><p align="center"><b>If you would like to post a Post-It! note, please visit telnet://<?php print $CONFIG['telnet']; ?>!</b></p></font>
</p></font>
</font>

<font face="Verdana, Arial, Helvetica" color="#FFFFFF" size="1"><p align="center"><b>This display was created using <a href="http://www.vadvphp.com"><font color="#FFFFFF">VADV-PHP</font></a>.</b></font>
<br><font face="Verdana, Arial, Helvetica" color="#FFFFFF" size="1">Post-It! Network Profanity Filter: <?php if ($postitCfg['filter'] == 0) { print 'OFF'; } else { print 'ON'; } ?></p></font>

</body>

</html>
